For the complete documentation index, see llms.txt. This page is also available as Markdown.

Projects

These endpoints allow you to read, update, and delete projects.

Get Project

get

Retrieve the data for a given project.

Path parameters
project_idstringRequired
Responses
200

Successful Response

application/json
chatContextstringOptional

What would you like Chat Explore to know about this application to provide better responses? For example:

  • This dataset is customer engagement data
  • The units of the sales column are in millions
  • The data is messy and contains typos
Default: ""
chatInstructionsstringOptional

How would you like Chat Explore to respond? For example:

  • Respond only in spanish
  • Provide short and concise answers only
  • Make sure to always include a chart
Default: ""
chatSuggestionsstringOptional

Customize the default chat suggestions by writing a list of suggestions separated by newlines. For example:

  • What is the average net media cost by campaign ID?
  • Make sure to always include a chart
Default: ""
idstringRequired

The ID of this object.

namestringOptional

The name of the flow.

Default: ""
Other propertiesanyOptional
get/api/v1/projects/{project_id}
GET /api/v1/projects/{project_id} HTTP/1.1
Accept: */*
{
  "chatContext": "",
  "chatInstructions": "",
  "chatSuggestions": "",
  "id": "text",
  "name": "",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Create New Project

post

Creates a new project.

Body
_orgstringRequired

Foreign key to the organization this object belongs to.

_ownerstringRequired

Foreign key to the user this object belongs to.

chatContextstringOptional

What would you like Chat Explore to know about this application to provide better responses? For example:

  • This dataset is customer engagement data
  • The units of the sales column are in millions
  • The data is messy and contains typos
Default: ""
chatInstructionsstringOptional

How would you like Chat Explore to respond? For example:

  • Respond only in spanish
  • Provide short and concise answers only
  • Make sure to always include a chart
Default: ""
chatSuggestionsstringOptional

Customize the default chat suggestions by writing a list of suggestions separated by newlines. For example:

  • What is the average net media cost by campaign ID?
  • Make sure to always include a chart
Default: ""
namestringRequired

The name of the flow.

Other propertiesanyOptional
Responses
200

Successful Response

application/json
chatContextstringOptional

What would you like Chat Explore to know about this application to provide better responses? For example:

  • This dataset is customer engagement data
  • The units of the sales column are in millions
  • The data is messy and contains typos
Default: ""
chatInstructionsstringOptional

How would you like Chat Explore to respond? For example:

  • Respond only in spanish
  • Provide short and concise answers only
  • Make sure to always include a chart
Default: ""
chatSuggestionsstringOptional

Customize the default chat suggestions by writing a list of suggestions separated by newlines. For example:

  • What is the average net media cost by campaign ID?
  • Make sure to always include a chart
Default: ""
idstringRequired

The ID of this object.

namestringOptional

The name of the flow.

Default: ""
Other propertiesanyOptional
post/api/v1/projects
POST /api/v1/projects HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 142

{
  "_org": "text",
  "_owner": "text",
  "chatContext": "",
  "chatInstructions": "",
  "chatSuggestions": "",
  "name": "text",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "chatContext": "",
  "chatInstructions": "",
  "chatSuggestions": "",
  "id": "text",
  "name": "",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Update Project

put

Update the custom instructions attached to a given project. Updates the project with any provided non-null fields and returns the resulting Flow object.

Path parameters
project_idstringRequired
Body
chatContextstring · nullableOptional

What would you like Chat Explore to know about this application to provide better responses? For example:

  • This dataset is customer engagement data
  • The units of the sales column are in millions
  • The data is messy and contains typos
chatInstructionsstring · nullableOptional

How would you like Chat Explore to respond? For example:

  • Respond only in spanish
  • Provide short and concise answers only
  • Make sure to always include a chart
chatSuggestionsstring · nullableOptional

Customize the default chat suggestions by writing a list of suggestions separated by newlines. For example:

  • What is the average net media cost by campaign ID?
  • Make sure to always include a chart
namestring · nullableOptional

The name of the flow.

Other propertiesanyOptional
Responses
200

Successful Response

application/json
chatContextstringOptional

What would you like Chat Explore to know about this application to provide better responses? For example:

  • This dataset is customer engagement data
  • The units of the sales column are in millions
  • The data is messy and contains typos
Default: ""
chatInstructionsstringOptional

How would you like Chat Explore to respond? For example:

  • Respond only in spanish
  • Provide short and concise answers only
  • Make sure to always include a chart
Default: ""
chatSuggestionsstringOptional

Customize the default chat suggestions by writing a list of suggestions separated by newlines. For example:

  • What is the average net media cost by campaign ID?
  • Make sure to always include a chart
Default: ""
idstringRequired

The ID of this object.

namestringOptional

The name of the flow.

Default: ""
Other propertiesanyOptional
put/api/v1/projects/{project_id}
PUT /api/v1/projects/{project_id} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 124

{
  "chatContext": "text",
  "chatInstructions": "text",
  "chatSuggestions": "text",
  "name": "text",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}
{
  "chatContext": "",
  "chatInstructions": "",
  "chatSuggestions": "",
  "id": "text",
  "name": "",
  "ANY_ADDITIONAL_PROPERTY": "anything"
}

Delete Project

delete

Deletes the project at the given ID.

Path parameters
project_idstringRequired
Responses
200

Successful Response

application/json
anyOptional
delete/api/v1/projects/{project_id}
DELETE /api/v1/projects/{project_id} HTTP/1.1
Accept: */*

No content

Last updated

Was this helpful?